org.hibernate.search.elasticsearch.analyzer

## Class ElasticsearchTokenFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.hibernate.search.elasticsearch.analyzer.ElasticsearchTokenFilterFactory

-     public abstract class ElasticsearchTokenFilterFactory
      extends TokenFilterFactory

  A token filter factory to use with `AnalyzerDef` annotations to define an Elasticsearch token filter.

  Caution: parameter values are interpreted as JSON, though using lenient parsing (quotes around strings may be left out in some cases, as when a string only contains letters).

  Example:

        @TokenFilterDef(
                      name = "custom-keep-types",
                      factory = ElasticsearchTokenFilterFactory.class,
                      params = {
                                               @Parameter(name = "type", value = "keep_types"),
                                               @Parameter(name = "types", value = "[' <NUM >',' <DOUBLE >']")
                      }
       )

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, create, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved